summaryrefslogtreecommitdiff
path: root/x11-misc
diff options
context:
space:
mode:
authorV3n3RiX <venerix@rogentos.ro>2016-02-28 01:22:11 +0000
committerV3n3RiX <venerix@rogentos.ro>2016-02-28 01:22:11 +0000
commit68f2a7da01cbd984af77babed9ff9665f7c3bb43 (patch)
tree3fc9fe630397af72d753c2acc932cd9632467b6f /x11-misc
parent105a919d8143c4b01084b3f9449dd0026cd13032 (diff)
notify-osd-customizable
Diffstat (limited to 'x11-misc')
-rw-r--r--x11-misc/notify-osd-customizable/Manifest1
-rw-r--r--x11-misc/notify-osd-customizable/notify-osd-customizable-0.9.35.ebuild69
2 files changed, 70 insertions, 0 deletions
diff --git a/x11-misc/notify-osd-customizable/Manifest b/x11-misc/notify-osd-customizable/Manifest
new file mode 100644
index 00000000..a69bfc4f
--- /dev/null
+++ b/x11-misc/notify-osd-customizable/Manifest
@@ -0,0 +1 @@
+DIST notify-osd_0.9.35+13.10.20130917.1-0ubuntu1-leolik~ppa0.tar.gz 281904 SHA256 66c7b1eeb54c923a3f574486aab6e5ac8fd0a7a6d027f2a8d84e80589ef44f56 SHA512 26f582a5df3dde0d5cfa2ffb60be2afbe69a5e484045efb9c839cca73b9d7cd77bee65bf1b897097ef386a6eaa7462f5e9d0692e3aef60ddae3321bf018452ff WHIRLPOOL e201db6de65e76ce58774a33f1ea5e0e9cb9d7ccea324036965b332b0726d815226be141cf87460fcc1a3957319ee63d8a827c3c9e018a18b9a62d90af9335c0
diff --git a/x11-misc/notify-osd-customizable/notify-osd-customizable-0.9.35.ebuild b/x11-misc/notify-osd-customizable/notify-osd-customizable-0.9.35.ebuild
new file mode 100644
index 00000000..68e6888a
--- /dev/null
+++ b/x11-misc/notify-osd-customizable/notify-osd-customizable-0.9.35.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=4
+inherit autotools gnome2-utils multilib savedconfig
+
+P_N="notify-osd"
+P_V="13.10.20130917.1"
+
+
+DESCRIPTION="Canonical's on-screen-display notification agent, with leolik patch added (customizable)."
+HOMEPAGE="https://launchpad.net/~leolik/+archive/leolik"
+SRC_URI="https://launchpad.net/~leolik/+archive/leolik/+files/${P_N}_${PV}+${P_V}-0ubuntu1-leolik~ppa0.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE="+minimal"
+
+COMMON_DEPEND=">=dev-libs/dbus-glib-0.98
+ >=dev-libs/glib-2.16
+ >=x11-libs/gtk+-3.2:3
+ >=x11-libs/libnotify-0.7
+ >=x11-libs/libwnck-3
+ x11-libs/libX11
+ x11-libs/pixman
+ !x11-misc/notify-osd
+ !x11-misc/notification-daemon
+ !x11-misc/qtnotifydaemon"
+RDEPEND="${COMMON_DEPEND}
+ !minimal? ( x11-themes/notify-osd-icons )"
+DEPEND="${COMMON_DEPEND}
+ virtual/pkgconfig
+ gnome-base/gnome-common
+ x11-proto/xproto"
+
+RESTRICT="test" # virtualx.eclass: 1 of 1: FAIL: test-modules
+
+DOCS=( AUTHORS ChangeLog NEWS README TODO )
+
+S=${WORKDIR}/${P_N}-${PV}+${P_V}
+
+src_prepare() {
+ sed -i -e 's:noinst_PROG:check_PROG:' tests/Makefile.am || die
+ restore_config src/{bubble,defaults,dnd}.c #428134
+ eautoreconf
+}
+
+src_configure() {
+ econf --libexecdir=/usr/$(get_libdir)/${P_N}
+}
+
+src_install() {
+ default
+ rm -f "${ED}"/usr/share/${P_N}/icons/*/*/*/README
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+ gnome2_schemas_savelist
+}
+pkg_postinst() {
+ gnome2_icon_cache_update
+ gnome2_schemas_update
+}
+pkg_postrm() {
+ gnome2_icon_cache_update
+ gnome2_schemas_update
+}